zlib before 1.2.12 allows memory corruption when deflating (i.e., when compressing) if the input has many distant matches.
Max CVSS
7.5
EPSS Score
0.28%
Published
2022-03-25
Updated
2023-08-04
MariaDB through 10.5.9 allows attackers to trigger a convert_const_to_int use-after-free when the BIGINT data type is used.
Max CVSS
7.5
EPSS Score
0.39%
Published
2022-02-01
Updated
2022-10-19
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: FTS). Supported versions that are affected are 5.7.37 and prior and 8.0.28 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.1 Base Score 4.9 (Availability impacts). CVSS Vector: (CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H).
Max CVSS
4.9
EPSS Score
0.07%
Published
2022-04-19
Updated
2022-10-27
MariaDB Server v10.6.5 and below was discovered to contain an use-after-free in the component Item_args::walk_arg, which is exploited via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.11%
Published
2022-04-12
Updated
2022-09-29
MariaDB Server v10.6.3 and below was discovered to contain an use-after-free in the component Item_func_in::cleanup(), which is exploited via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.11%
Published
2022-04-12
Updated
2022-10-08
An issue in the component Create_tmp_table::finalize of MariaDB Server v10.7 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-10-08
An issue in the component Arg_comparator::compare_real_fixed of MariaDB Server v10.6.2 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-10-08
An issue in the component my_decimal::operator= of MariaDB Server v10.6.3 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-11-08
An issue in the component Field::set_default of MariaDB Server v10.6 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-09-29
MariaDB Server v10.6 and below was discovered to contain an use-after-free in the component my_strcasecmp_8bit, which is exploited via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.11%
Published
2022-04-12
Updated
2022-09-29
An issue in the component Item_subselect::init_expr_cache_tracker of MariaDB Server v10.6 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-09-29
MariaDB Server v10.7 and below was discovered to contain a segmentation fault via the component sql/sql_class.cc.
Max CVSS
7.5
EPSS Score
0.13%
Published
2022-04-12
Updated
2022-09-29
MariaDB Server v10.7 and below was discovered to contain a global buffer overflow in the component decimal_bin_size, which is exploited via specially crafted SQL statements.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-12
Updated
2022-09-29
MariaDB Server v10.9 and below was discovered to contain a segmentation fault via the component sql/sql_window.cc.
Max CVSS
7.5
EPSS Score
0.11%
Published
2022-04-14
Updated
2022-09-29
MariaDB Server v10.9 and below was discovered to contain a use-after-free via the component Binary_string::free_buffer() at /sql/sql_string.h.
Max CVSS
7.5
EPSS Score
0.11%
Published
2022-04-14
Updated
2022-10-08
There is an Assertion failure in MariaDB Server v10.9 and below via 'node->pcur->rel_pos == BTR_PCUR_ON' at /row/row0mysql.cc.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-14
Updated
2022-10-08
MariaDB Server v10.9 and below was discovered to contain a segmentation fault via the component sql/item_func.cc:148.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-14
Updated
2022-10-07
MariaDB Server v10.9 and below was discovered to contain a segmentation fault via the component sql/item_cmpfunc.cc.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-14
Updated
2022-09-29
MariaDB Server v10.6.3 and below was discovered to contain an use-after-free in the component VDec::VDec at /sql/sql_type.cc.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-14
Updated
2022-10-08
MariaDB Server v10.6.3 and below was discovered to contain an use-after-free in the component Binary_string::free_buffer() at /sql/sql_string.h.
Max CVSS
7.5
EPSS Score
0.10%
Published
2022-04-14
Updated
2022-10-08
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!